Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.custom
Interface TextChangeListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

public interface TextChangeListener
extends org.eclipse.swt.internal.SWTEventListener

The StyledText widget implements this listener to receive notifications when changes to the model occur. It is not intended to be implemented by clients or by implementors of StyledTextContent. Clients should listen to the ModifyEvent or ExtendedModifyEvent that is sent by the StyledText widget to receive text change notifications. Implementors of StyledTextContent should call the textChanging and textChanged methods when text changes occur as described below. If the entire text is replaced the textSet method should be called instead.

Method Summary
`void` | `textChanged(TextChangedEvent event)` This method is called when the content has changed.
`void` | `textChanging(TextChangingEvent event)` This method is called when the content is about to be changed.
`void` | `textSet(TextChangedEvent event)` This method is called instead of the textChanging/textChanged combination when the entire old content has been replaced (e.g., by a call to StyledTextContent.setText()).

Method Detail

### textChanging

    public void textChanging(TextChangingEvent event)

  This method is called when the content is about to be changed. Callers also need to call the textChanged method after the content change has been applied. The widget only updates the screen properly when it receives both events.

  Parameters:
    `event` - the text changing event. All event fields need to be set by the sender.
  See Also:
    `TextChangingEvent`

### textChanged

    public void textChanged(TextChangedEvent event)

  This method is called when the content has changed. Callers need to have called the textChanging method prior to applying the content change and calling this method. The widget only updates the screen properly when it receives both events.

  Parameters:
    `event` - the text changed event

### textSet

    public void textSet(TextChangedEvent event)

  This method is called instead of the textChanging/textChanged combination when the entire old content has been replaced (e.g., by a call to StyledTextContent.setText()).

  Parameters:
    `event` - the text changed event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.